%global srcname APScheduler
%global _description %{expand:
Advanced Python Scheduler (APScheduler) is a Python library that lets you
schedule your Python code to be executed later, either just once or
periodically. You can add new jobs or remove old ones on the fly as you
please. If you store your jobs in a database, they will also survive
scheduler restarts and maintain their state. When the scheduler is
restarted, it will then run all the jobs it should have run while it was
offline.}

Name:           python-APScheduler
Version:        3.6.3
Release:        1%{?dist}
Summary:        In-process task scheduler with Cron-like capabilities

License:        MIT
URL:            http://pythonhosted.org/APScheduler/
Source0:        %pypi_source

BuildArch:      noarch

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio
BuildRequires:  python3-pytest-tornado
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-tornado
BuildRequires:  python3-twisted
BuildRequires:  python3-redis
BuildRequires:  python3-kazoo
BuildRequires:  python3-gevent
BuildRequires:  python3-sqlalchemy
BuildRequires:  python3-pymongo
BuildRequires:  python3-pytz
BuildRequires:  python3-tzlocal
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version} -p1
# Remove that test as it require services (redis, zookeeper, ...)
# up and running. Upstream provides a docker compose to spawn
# services before running these tests.
rm tests/test_jobstores.py

%build
%py3_build

%install
%py3_install

%check
%{python3} -m pytest -s tests

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/apscheduler/

%changelog
* Wed Mar 11 2020 Fabien Boucher <fboucher@redhat.com> - 3.6.3-1
- Bump to 3.6.3

* Thu Nov 22 2018 Tristan Cacqueray <tdecacqu@redhat.com> - 3.5.3-1
- Bump to 3.5.3

* Sun May 27 2018 Tristan Cacqueray <tdecacqu@redhat.com> - 3.5.1-1
- Bump to 3.5.1

* Mon Jun 19 2017 Tristan Cacqueray <tdecacqu@redhat.com> - 3.3.1-1
- Initial packaging

